| darcs-2.4.3: a distributed, interactive, smart revision control system | Source code | Contents | Index
Darcs.Witnesses.Sealed
Documentation
data Sealed a where | Source
Constructors
Sealed :: a -> Sealed a |
Instances
MyEq p => Eq (Sealed p)
Show1 a => Show (Sealed a)
seal :: a -> Sealed a | Source
unseal :: (a -> b) -> Sealed a -> b | Source
mapSeal :: (a -> b) -> Sealed a -> Sealed b | Source
unsafeUnseal :: Sealed a -> a | Source
unsafeUnflippedseal :: FlippedSeal a -> a | Source
unsafeUnseal2 :: Sealed2 a -> a | Source
data Sealed2 a where | Source
Constructors
Sealed2 :: !a -> Sealed2 a |
Instances
Show2 a => Show (Sealed2 a)
seal2 :: a -> Sealed2 a | Source
unseal2 :: (a -> b) -> Sealed2 a -> b | Source
mapSeal2 :: (a -> b) -> Sealed2 a -> Sealed2 b | Source
data FlippedSeal a where | Source
Constructors
FlippedSeal :: !a -> FlippedSeal a |
flipSeal :: a -> FlippedSeal a | Source
unsealFlipped :: (a -> b) -> FlippedSeal a -> b | Source
mapFlipped :: (a -> b) -> FlippedSeal a -> FlippedSeal b | Source
unsealM :: Monad m => m (Sealed a) -> (a -> m b) -> m b | Source
liftSM :: Monad m => (a -> b) -> m (Sealed a) -> m b | Source
Produced by Haddock version 2.4.2